# Method: networks.lines.delete

Deletes a Line.

### HTTP request

`DELETE https://middlemileoptimization.googleapis.com/v1/{name=networks/*/lines/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the line to delete. Format: "networks/{network}/lines/{line}" |

### Query parameters

| Parameters ||
|---|---|
| `force` | `boolean` Optional. If set to true, delete the children resources. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.